{% extends 'base.html' %}

{% block content %}
<h1>Find Author by Sentence</h1>

{% if author %}
    <p>Author: {{ author }}</p>
{% elif closest_sentence %}
    <p>Did you mean: "{{ closest_sentence }}"?</p>
    <form method="post" action="{% url 'find_author_by_sentence' %}">
        {% csrf_token %}
        <input type="hidden" name="sentence" value="{{ closest_sentence }}">
        <button type="submit" name="choice" value="yes">Yes</button>
        <button type="submit" name="choice" value="no">No</button>
    </form>
{% else %}
    <form method="post" action="{% url 'find_author_by_sentence' %}">
        {% csrf_token %}
        <label for="sentence">Enter a sentence:</label>
        <input type="text" id="sentence" name="sentence" required>
        <button type="submit">Submit</button>
    </form>
{% endif %}
{% endblock %}
